Subject: Re: Would it make sense to add a commit.signOff config?

From: Collin Funk <[email-masked]>
Date: Sun, 14 Dec 2025 15:52:25 -0800

Junio C Hamano <[email-masked]> writes:

> Carlo Marcelo Arenas Belón <[email-masked]> writes:
>
>> this was discussed recently[0] and the point that was made is that SOA are
>> meant to be relevant mainly in open source contexts and should be explicitly
>> given.
>>
>> Carlo
>>
>> [0] https://lore.kernel.org/git/[email-masked]/
>
> Thanks for a spelunking starter.
>
> Perhaps we should resurrect a proposed patch from 2020 (which no
> longer apply cleanly, but quoted to show what the additinoal text
> said).
>
> https://lore.kernel.org/git/[email-masked]/
>
> to save time from potential contributors?  I do not want to see new
> contributors feeling they wasted their time after putting their
> effort.

Sounds like a good idea to me since it has come up a few times and, at
least from that thread, there is wide agreement it shouldn't be added.

> diff --git a/Documentation/git-commit.txt b/Documentation/git-commit.txt
> index ced5a9beab..1909551087 100644
> --- a/Documentation/git-commit.txt
> +++ b/Documentation/git-commit.txt
> @@ -171,6 +171,13 @@ The `-m` option is mutually exclusive with `-c`, `-C`, and `-F`.
>  	the rights to submit this work under the same license and
>  	agrees to a Developer Certificate of Origin
>  	(see http://developercertificate.org/ for more information).
> ++
> +As it makes it harder to argue against one who tells the court "that
> +log message ends with a SoB by person X but it is very plausible
> +that it was done by inertia without person X really intending to
> +certify what DCO says, and the SoB is meaningless." to more
> +publicized ways to add SoB automatically, Git does not (and will not)
> +have a configuration variable to enable it by default.

I think it is a bit more clear to just write "Signed-off-by" instead of
using the abbreviation SoB. That isn't used elsewhere, as far as I can
tell.

Collin